apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  namespace: monitoring
  name: prometheus
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
    external-dns.alpha.kubernetes.io/target: 10.65.5.230
    nginx.ingress.kubernetes.io/auth-url: "https://$host/oauth2/auth"
    nginx.ingress.kubernetes.io/auth-signin: "https://$host/oauth2/start?rd=$escaped_request_uri"

spec:
  tls:
    - hosts:
        - prometheus.z8s.zooxlabs.com
  rules:
  - host: prometheus.z8s.zooxlabs.com
    http:
      paths:
      - backend:
          serviceName: prometheus
          servicePort: 9090
        path: /
